#include <string>

using std::string;

#include "classes.hh"

class Agent
{
    defclassvar(string, name, const string &, getname)
    defclassvar(unsigned, load, unsigned, getload)
    defclassvar(unsigned, rely, unsigned, getrely)
public:
    Agent(const string &n, unsigned l, unsigned r): name(n), load(l), rely(r) { }
    bool operator== (const Agent &b) const;
    inline bool operator!= (const Agent &b) const { return ! operator==(b); }

    void dump() const;
};
